%define build_with_python 1
%define subrel 1
Summary:		Small but powerful text editor for GNOME
Name:			gedit
Version: 2.24.0
Release: %mkrel 1
License:		GPLv2+
Group:			Editors 
Source0:		ftp://ftp.gnome.org/pub/GNOME/sources/gedit/%{name}-%{version}.tar.bz2
# (fc) use current locale when creating new file (Mdk bug 6887), detect if content is current locale or UTF-8 on file load (Mdv bug #20277) (Antoine Pitrou)
Patch0:			gedit-2.19.92-localencoding.patch
Patch1:			gedit-2.22.3-CVE-2009-0314-rh.patch
URL:			http://www.gnome.org/projects/gedit/
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gtksourceview-devel >= 2.2.0
BuildRequires:	libGConf2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:  aspell-devel
BuildRequires:  libattr-devel
BuildRequires:  enchant-devel
BuildRequires:  iso-codes
BuildRequires:  scrollkeeper
BuildRequires:  intltool
BuildRequires:  gnome-doc-utils
BuildRequires:  gtk-doc
%if %{build_with_python}
BuildRequires:  gnome-python
BuildRequires: pygtk2.0-devel >= 2.12.0
BuildRequires: python-gtksourceview-devel >= 2.2.0
BuildRequires: librsvg
Requires: pygtk2.0
Requires: python-gtksourceview
%endif
BuildRequires:  gtk+2-devel >= 2.5.4
BuildRequires: desktop-file-utils
Requires: pyorbit
Requires(post):		scrollkeeper >= 0.3 desktop-file-utils
Requires(postun):	scrollkeeper >= 0.3 desktop-file-utils
Conflicts:		gedit-plugins <= 2.3.2-1mdk

%description
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

%package devel
Group: Development/C
Summary: Headers for writing gEdit plugins

%description devel
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

Install this if you want to build plugins that use gEdit's API.

%prep
%setup -q
%patch0 -p1 -b .localencoding
%patch1 -p1 -b .cve-2009-0314

%build
%configure2_5x --enable-gtk-doc \
%if %{build_with_python}
--enable-python
%else
--disable-python
%endif

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
rm -rf %buildroot/var
%{find_lang} %{name}-2.0 --with-gnome --all-name
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name-2.0.lang
done

mkdir -p %buildroot%{_miconsdir} %buildroot%{_liconsdir} %buildroot%{_iconsdir} 

cp %{_datadir}/icons/gnome/16x16/apps/accessories-text-editor.png %buildroot%{_miconsdir}/accessories-text-editor.png
rsvg -w 32 -h 32 %{_datadir}/icons/gnome/scalable/apps/accessories-text-editor.svn %buildroot%{_iconsdir}/accessories-text-editor.png
rsvg -w 48 -h 48 %{_datadir}/icons/gnome/scalable/apps/accessories-text-editor.svn %buildroot%{_liconsdir}/accessories-text-editor.png

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gedit-2/plugins/*.la \
 $RPM_BUILD_ROOT%{_libdir}/bonobo/*.la $RPM_BUILD_ROOT/var

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_scrollkeeper
%post_install_gconf_schemas gedit
%update_desktop_database
%{update_menus}
%endif

%preun
%preun_uninstall_gconf_schemas gedit

%if %mdkversion < 200900
%postun 
%{clean_menus}
%clean_scrollkeeper
%clean_desktop_database
%endif

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc README AUTHORS NEWS MAINTAINERS
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%dir %{_libdir}/gedit-2
%dir %{_libdir}/gedit-2/plugins
%{_libdir}/gedit-2/gedit-bugreport.sh
%{_libdir}/gedit-2/plugins/*.so
%{_libdir}/gedit-2/plugins/*.gedit-plugin
%{_libdir}/gedit-2/plugins/externaltools/
%{_libdir}/gedit-2/plugins/snippets/
%{_libdir}/gedit-2/plugins/pythonconsole/
%{_datadir}/gedit-2
%{_datadir}/applications/*
%dir %{_datadir}/omf/gedit
%{_datadir}/omf/gedit/*-C.omf
%{_mandir}/man1/*
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%_datadir/gtk-doc/html/*


%changelog
* Mon Feb 16 2009 Rafael Cabral <cabral@mandriva.com> 2.24.0-1.1mdv2009.0
- security fix for CVE-2009-0314

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286468
- new version

* Tue Sep 16 2008 Götz Waschk <waschk@mandriva.org> 2.23.93-1mdv2009.0
+ Revision: 285350
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282764
- new version
- drop patch 1

* Thu Sep 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-3mdv2009.0
+ Revision: 280289
- fix the patch

* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-2mdv2009.0
+ Revision: 279979
- patch to fix crash (bug #43461)

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278373
- new version
- drop patch 1

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-4mdv2009.0
+ Revision: 274352
- remove glade dep as well

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-3mdv2009.0
+ Revision: 274303
- remove bad dep on libgnomeui

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-2mdv2009.0
+ Revision: 274282
- update build deps to fix automatic pkgconfig deps

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 274131
- new version

* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 2.23.3-1mdv2009.0
+ Revision: 271736
- new version
- update deps

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.1-1mdv2009.0
+ Revision: 231028
- fix buildrequires
- new version
- update license

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 211721
- new version

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 211688
- new version
- fix buildrequires

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192493
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183597
- new version
- bump deps

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 174609
- new version

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.21.1-2mdv2008.1
+ Revision: 170859
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Fri Jan 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 157855
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 27 2007 Götz Waschk <waschk@mandriva.org> 2.20.4-1mdv2008.1
+ Revision: 113465
- new version

* Thu Oct 18 2007 Götz Waschk <waschk@mandriva.org> 2.20.3-1mdv2008.1
+ Revision: 99989
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.2-1mdv2008.1
+ Revision: 98669
- new version

* Thu Sep 27 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.0
+ Revision: 93227
- new version

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89460
- new version
- bump deps

* Tue Sep 11 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.92-2mdv2008.0
+ Revision: 84438
- add standard icons for non XDG WM
- Remove old menus
- Remove patches 1 (replaced by patch0),  4 (no longer needed)
- Patch0 (Antoine Pitrou): fix file encoding detection for better compatibility with local encoded files (Mdv bug #20277)

* Tue Sep 11 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 84308
- new version

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 72653
- new version
- bump deps

* Thu Aug 16 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 64133
- new version

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 57570
- new version
- bump deps
- drop patch 0
- rediff patch 4

* Sun Jul 08 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-2mdv2008.0
+ Revision: 49776
- fix pkgconfig

* Wed Jul 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2008.0
+ Revision: 48054
- new version
- adjust deps

* Mon Jun 25 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2008.0
+ Revision: 44057
- new version
- depend on pygtksourceview

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14379
- new version


* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141288
- new version
- update file list

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.6-1mdv2007.1
+ Revision: 126136
- new version
- new version

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 112240
- new version
- upate file list

  + Frederic Crozat <fcrozat@mandriva.com>
    - Fix url
    - Fix buildrequires

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 106937
- disable parallel build
- new version
- rediff patch 1

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 99162
- new version
- fix buildrequires

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-2mdv2007.1
+ Revision: 90785
- fix buildrequires
- fix buildrequires
- new version
- update file list

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-2mdv2007.1
+ Revision: 88875
- rebuild

* Sun Oct 29 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 73671
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-3mdv2007.1
+ Revision: 63822
- rebuild
- unpack patches
- Import gedit

* Wed Oct 04 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Wed Sep 06 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- bump deps
- New release 2.16.0

* Mon Aug 28 2006 Götz Waschk <waschk@mandriva.org> 2.15.9-1mdv2007.0
- New release 2.15.9

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.8-1mdv2007.0
- New release 2.15.8

* Tue Aug 15 2006 Götz Waschk <waschk@mandriva.org> 2.15.7-1mdv2007.0
- New release 2.15.7

* Wed Aug 09 2006 Gtz Waschk <waschk@mandriva.org> 2.15.6-1mdv2007.0
- fix buildrequires
- New release 2.15.6

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.5-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Gtz Waschk <waschk@mandriva.org> 2.15.5-1mdv2007.0
- enable gtk-doc
- New release 2.15.5

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- new macros
- xdg menu
- New release 2.15.4

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- update file list
- New release 2.15.3

* Thu Jun 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-2mdv2007.0
- Add dependency on pyorbit for plugin (mdv bug #22231)

* Wed Jun 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2

* Wed May 31 2006 Götz Waschk <waschk@mandriva.org> 2.14.3-1mdv2007.0
- New release 2.14.3

* Sat Apr 22 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-2mdk
- fix buildrequires

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-1mdk
- Release 2.14.2
- Remove patch2 (no longer needed)
- Update patch4 with fedora latest version

* Wed Feb 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-4mdk
- Remove patches 3 & 6 (merged upstream, reported by gedit author)
- Fix prereq

* Thu Nov 24 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdk
- Rebuild to get debug package

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.12.1-2mdk
- rebuild against openssl-0.9.8

* Fri Oct 14 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1

* Tue Aug 09 2005 Götz Waschk <waschk@mandriva.org> 2.10.5-1mdk
- update file list
- New release 2.10.5

* Sat Aug 06 2005 Götz Waschk <waschk@mandriva.org> 2.10.4-1mdk
- New release 2.10.4

* Fri Jun 10 2005 Gtz Waschk <waschk@mandriva.org> 2.10.3-1mdk
- New release 2.10.3

* Thu Apr 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.10.2-2mdk
- package NEWS in doc since it's more usefull than full ChangeLog

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-1mdk 
- Release 2.10.2 (based on Gtz Waschk package)
- Remove patch5 (no longer needed)
- Update patch4

* Sun Feb 13 2005 Götz Waschk <waschk@linux-mandrake.com> 2.8.3-1mdk
- New release 2.8.3

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-2mdk 
- Rebuild with latest howl

* Mon Dec 06 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- New release 2.8.2

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- fix omf file listing
- New release 2.8.1
- Regenerate patch1
- Patch3 (Fedora): allow escape key to close Find and Replace dialogs 
- Patch4 (Fedora): make file selector remember last window size and directory
- Patch5 (Fedora): use pango font names, not gnome-print font names
- Patch6 (Fedora): enable spellchecker plugin by default

* Fri Sep 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-4mdk
- Use upstream icons (Mdk bug #10834)

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.6.2-3mdk
- Rebuild with menu

* Thu Aug 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-2mdk
- remove gedit-devel provides from main package

* Sun Jun 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- drop patch 3
- New release 2.6.2

* Tue Jun 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-3mdk
- remove generic docs
- reenable libtoolize
- split out devel package 
  http://archives.mandrakelinux.com/expert/2004-06/msg01002.php

* Wed May 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Patch3 (CVS): don't output warnings when icon theme isn't found (Mdk bug #9492)

* Tue May 04 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- New release 2.6.1

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-3mdk
- Really fix buildrequires (thanks titi)

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Fix BuildRequires

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- Remove patch0 (merged upstream)

